Subject: Re: linux-next: build warning after merge of the hmm tree

From: Dave Jiang <[email-masked]>
Date: Fri, 7 Mar 2025 13:47:27 -0700

On 3/7/25 8:04 AM, Jason Gunthorpe wrote:
> On Fri, Mar 07, 2025 at 07:57:15PM +1100, Stephen Rothwell wrote:
>> Hi all,
>>
>> After merging the hmm tree, today's linux-next build (htmldocs) produced
>> this warning:
>>
>> Error: Cannot open file /home/sfr/next/next/drivers/cxl/features.c
>>
>> Introduced by commit
>>
>>   da0dd17604d4 ("fwctl/cxl: Add documentation to FWCTL CXL")
> 
> Thanks Stephen,
> 
> Dave can you fix all of thes kdoc bugs and post a new version?
>

After fixing up most of the issues, I cannot figure out what the issue is for this one:
./include/uapi/cxl/features.h:1: warning: no structured comments found

I'm not seeing any issues in the header via visual inspection. Running kernel_docs against the file yields no warning or error either. Deleting all the contents from that header file and I'm still seeing the warning. Makes no sense.... 

I'll repost the series on the mailing list with what I have fixed.

> Jason